searchData={"items":[{"type":"module","title":"GoogleApi.FirebaseDatabase.V1beta","doc":"API client metadata for GoogleApi.FirebaseDatabase.V1beta.","ref":"GoogleApi.FirebaseDatabase.V1beta.html"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.discovery_revision/0","doc":"","ref":"GoogleApi.FirebaseDatabase.V1beta.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_create/4","doc":"Requests that a new DatabaseInstance be created. The state of a successfully created DatabaseInstance is ACTIVE. Only available for projects on the Blaze plan. Projects can be upgraded using the Cloud Billing API https://cloud.google.com/billing/reference/rest/v1/projects/updateBillingInfo. Note that it might take a few minutes for billing enablement state to propagate to Firebase systems.","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_create/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_create/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseDatabase.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project for which to create a database instance, in the form: `projects/{project-number}/locations/{location-id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:databaseId` (*type:* `String.t`) - The globally unique identifier of the database instance.\n    *   `:validateOnly` (*type:* `boolean()`) - When set to true, the request will be validated but not submitted.\n    *   `:body` (*type:* `GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_create/4","doc":"*   `{:ok, %GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_create/4-returns"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_delete/4","doc":"Marks a DatabaseInstance to be deleted. The DatabaseInstance will be set to the DELETED state for 20 days, and will be purged within 30 days. The default database cannot be deleted. IDs for deleted database instances may never be recovered or re-used. The Database may only be deleted if it is already in a DISABLED state.","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_delete/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_delete/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseDatabase.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_delete/4","doc":"*   `{:ok, %GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_delete/4-returns"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_disable/4","doc":"Disables a DatabaseInstance. The database can be re-enabled later using ReenableDatabaseInstance. When a database is disabled, all reads and writes are denied, including view access in the Firebase console.","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_disable/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_disable/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseDatabase.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseDatabase.V1beta.Model.DisableDatabaseInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_disable/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_disable/4","doc":"*   `{:ok, %GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_disable/4-returns"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_get/4","doc":"Gets the DatabaseInstance identified by the specified resource name.","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_get/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_get/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseDatabase.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`. `database-id` is a globally unique identifier across all parent collections. For convenience, this method allows you to supply `-` as a wildcard character in place of specific collections under `projects` and `locations`. The resulting wildcarding form of the method is: `projects/-/locations/-/instances/{database-id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_get/4","doc":"*   `{:ok, %GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_get/4-returns"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_list/4","doc":"Lists each DatabaseInstance associated with the specified parent project. The list items are returned in no particular order, but will be a consistent view of the database instances when additional requests are made with a `pageToken`. The resulting list contains instances in any STATE. The list results may be stale by a few seconds. Use GetDatabaseInstance for consistent reads.","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_list/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_list/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseDatabase.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent project for which to list database instances, in the form: `projects/{project-number}/locations/{location-id}` To list across all locations, use a parent in the form: `projects/{project-number}/locations/-`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of database instances to return in the response. The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to `ListDatabaseInstances` indicating where in the set of database instances to resume listing.\n    *   `:showDeleted` (*type:* `boolean()`) - Indicate that DatabaseInstances in the `DELETED` state should also be returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_list/4","doc":"*   `{:ok, %GoogleApi.FirebaseDatabase.V1beta.Model.ListDatabaseInstancesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_list/4-returns"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_reenable/4","doc":"Enables a DatabaseInstance. The database must have been disabled previously using DisableDatabaseInstance. The state of a successfully reenabled DatabaseInstance is ACTIVE.","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_reenable/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_reenable/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseDatabase.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseDatabase.V1beta.Model.ReenableDatabaseInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_reenable/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_reenable/4","doc":"*   `{:ok, %GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_reenable/4-returns"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_undelete/4","doc":"Restores a DatabaseInstance that was previously marked to be deleted. After the delete method is used, DatabaseInstances are set to the DELETED state for 20 days, and will be purged within 30 days. Databases in the DELETED state can be undeleted without losing any data. This method may only be used on a DatabaseInstance in the DELETED state. Purged DatabaseInstances may not be recovered.","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_undelete/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_undelete/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseDatabase.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseDatabase.V1beta.Model.UndeleteDatabaseInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_undelete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseDatabase.V1beta.Api.Projects.firebasedatabase_projects_locations_instances_undelete/4","doc":"*   `{:ok, %GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseDatabase.V1beta.Api.Projects.html#firebasedatabase_projects_locations_instances_undelete/4-returns"},{"type":"module","title":"GoogleApi.FirebaseDatabase.V1beta.Connection","doc":"Handle Tesla connections for GoogleApi.FirebaseDatabase.V1beta.","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.FirebaseDatabase.V1beta.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#get/3"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#head/3"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.FirebaseDatabase.V1beta.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.FirebaseDatabase.V1beta.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseDatabase.V1beta.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#options/3"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#post/4"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#put/4"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.FirebaseDatabase.V1beta.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.FirebaseDatabase.V1beta.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.FirebaseDatabase.V1beta.Connection.t/0","doc":"","ref":"GoogleApi.FirebaseDatabase.V1beta.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance","doc":"Representation of a Realtime Database instance. Details on interacting with contents of a DatabaseInstance can be found at: https://firebase.google.com/docs/database/rest/start.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance","doc":"*   `databaseUrl` (*type:* `String.t`, *default:* `nil`) - Output only. Output Only. The globally unique hostname of the database.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`.\n*   `project` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name of the project this instance belongs to. For example: `projects/{project-number}`.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The database's lifecycle state. Read-only.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Immutable. The database instance type. On creation only USER_DATABASE is allowed, which is also the default when omitted.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance.t/0","doc":"","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseDatabase.V1beta.Model.DisableDatabaseInstanceRequest","doc":"The request sent to the DisableDatabaseInstance method.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.DisableDatabaseInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseDatabase.V1beta.Model.DisableDatabaseInstanceRequest","doc":"","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.DisableDatabaseInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Model.DisableDatabaseInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.DisableDatabaseInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseDatabase.V1beta.Model.DisableDatabaseInstanceRequest.t/0","doc":"","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.DisableDatabaseInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseDatabase.V1beta.Model.ListDatabaseInstancesResponse","doc":"The response from the ListDatabaseInstances method.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.ListDatabaseInstancesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseDatabase.V1beta.Model.ListDatabaseInstancesResponse","doc":"*   `instances` (*type:* `list(GoogleApi.FirebaseDatabase.V1beta.Model.DatabaseInstance.t)`, *default:* `nil`) - List of each DatabaseInstance that is in the parent Firebase project.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent call to `ListDatabaseInstances` to find the next group of database instances. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.ListDatabaseInstancesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Model.ListDatabaseInstancesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.ListDatabaseInstancesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseDatabase.V1beta.Model.ListDatabaseInstancesResponse.t/0","doc":"","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.ListDatabaseInstancesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseDatabase.V1beta.Model.ReenableDatabaseInstanceRequest","doc":"The request sent to the ReenableDatabaseInstance method.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.ReenableDatabaseInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseDatabase.V1beta.Model.ReenableDatabaseInstanceRequest","doc":"","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.ReenableDatabaseInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Model.ReenableDatabaseInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.ReenableDatabaseInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseDatabase.V1beta.Model.ReenableDatabaseInstanceRequest.t/0","doc":"","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.ReenableDatabaseInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseDatabase.V1beta.Model.UndeleteDatabaseInstanceRequest","doc":"The request sent to UndeleteDatabaseInstance method.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.UndeleteDatabaseInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseDatabase.V1beta.Model.UndeleteDatabaseInstanceRequest","doc":"","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.UndeleteDatabaseInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseDatabase.V1beta.Model.UndeleteDatabaseInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.UndeleteDatabaseInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseDatabase.V1beta.Model.UndeleteDatabaseInstanceRequest.t/0","doc":"","ref":"GoogleApi.FirebaseDatabase.V1beta.Model.UndeleteDatabaseInstanceRequest.html#t:t/0"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.35.1"}}